/**
 * @author wang_lei
 * 负责管理所有跟android端口的交互
 */
var j_androidInterface = null;
/**
 *  android js 通信参数
 */
OGWorld.m_androidInterFace = null;
if (OGWorld.m_androidInterFace == null) {
    OGWorld.m_androidInterFace = a_androidInterFace;
}

OGWorld.androidInterface = function(){
    var self = this;
    /**
     * post 请求接口
     * @param {Object} url
     * @param {Object} m_keys
     * @param {Object} m_values
     * @param {Object} timeout
     * @param {Object} eventID
     */
    self.PostHttpRequest = function(url, m_keys, m_values, timeout, eventID){
        OGWorld.m_androidInterFace.postData(url, m_keys, m_values, timeout, eventID);
    }
    /**
     * get 请求接口
     * @param {Object} url
     * @param {Object} timeout
     * @param {Object} eventID
     */
    self.GetHttpRequest = function(url, timeout, eventID){
        OGWorld.m_androidInterFace.getData(url, timeout, eventID);
    }
	
	self.getPhoneNum = function()
	{
		return OGWorld.m_androidInterFace.getMoblieNum();
	}
	

//获取手机注册方式
     self.getRegInfo = function()
	 {
	 	var gaga = OGWorld.m_androidInterFace.getH5Reg();
		
		
	 }
	//手机一键注册 上行
	self.sendOneReg = function(callFun, eventID)
	{
		 OGWorld.OGCallBack.addEventFun(eventID,callFun);
		OGWorld.m_androidInterFace.phoneUpOneReg(eventID);
	}
	//登录接口
	self.loginPlatForm = function(username,password,loginType,callFun,eventID)
	{
		OGWorld.OGCallBack.addEventFun(eventID,callFun);
		OGWorld.m_androidInterFace.phoneLogin(username,password,loginType,eventID);
	}
	//第三方（renren、baidu）登录接口
	self.login = function(username,callFun,eventID)
	{
		OGWorld.OGCallBack.addEventFun(eventID,callFun);
		OGWorld.m_androidInterFace.login(username,eventID);
	}
	//修改密码接口
	self.changePas = function(username , password,newPas,validatemess,autoType,changeType,server,callFun,eventID)
	{
		OGWorld.OGCallBack.addEventFun(eventID,callFun);
		OGWorld.m_androidInterFace.changePassWord(username,password,newPas,validatemess,autoType,changeType,server,eventID);
	}
	//获取验证码接口
	self.getPhoneSMS = function(phoneNum,type,callFun,eventID)
	{
		 OGWorld.OGCallBack.addEventFun(eventID,callFun);
		 OGWorld.m_androidInterFace.getphoneSms(phoneNum,type,eventID,true);
	}
	
	// 查询手机号是否绑定用户(竞技二打一)
	self.queryPhoneBindUserInfo = function(phoneNumber,callFun,eventID)
	{
		OGWorld.OGCallBack.addEventFun(eventID,callFun);
		OGWorld.m_androidInterFace.queryPhoneBindUserinfo(phoneNumber,eventID,true);
	}
	
	//下行注册接口
	self.downReg = function(phoneNum,validateMess,callFun,eventID)
	{
		 OGWorld.OGCallBack.addEventFun(eventID,callFun);
		 OGWorld.m_androidInterFace.quickReg(phoneNum,validateMess,eventID);
	}
	
	self.bindPhone = function(phoneNum,validateMess,callFun,eventID)
	{
		 OGWorld.OGCallBack.addEventFun(eventID,callFun);
		 OGWorld.m_androidInterFace.bindPhone(phoneNum,validateMess,eventID);
	}
	
	//检测手机号是否绑定
	self.phoneisBind = function(phoneNum,callFun,eventID)
	{
			  OGWorld.OGCallBack.addEventFun(eventID,callFun);
			  OGWorld.m_androidInterFace.checkPhoneNunBind(phoneNum,eventID);
	}
	
		//联众注册
	self.ogReg = function(account,passWord,sex,callFun,eventID)
	{
	
			  OGWorld.OGCallBack.addEventFun(eventID,callFun);
			  OGWorld.m_androidInterFace.ogReg(account,passWord,sex,eventID);
	}
	
	//关闭acitivty
	self.closeAct = function(msg,type)
	{
		OGWorld.m_androidInterFace.closeMe(msg,type);
	}
	
	self.onBack = function()
	{
		OGWorld.m_androidInterFace.onBackPressed();
	}
	//
	self.saveLastLoginType = function(type)
	{
		OGWorld.m_androidInterFace.saveLastLoginType(type);
	}

		//实名认证
    	self.realNameAuth = function(name,cardNo,mode,callFun,eventID) {
    			  OGWorld.OGCallBack.addEventFun(eventID,callFun);
    			  OGWorld.m_androidInterFace.realNameAuth(name,cardNo,mode,eventID);
    	}

}






OGWorld.getandroidInterface = function(){
    if (j_androidInterface == null) {
        j_androidInterface = new OGWorld.androidInterface();
    }
    return j_androidInterface;
}



