/**
 * @author wang_lei
 */
OGWorld.OGhttp = function()
{
	var self = this;
	/**
	 * @param {Object} url 请求的连接
	 * @param {Object} keys 请求的body中的 key
	 * @param {Object} values 请求的body中的 value
	 * @param {Object} callFun 请求的回调的方法
	 * @param {Object} eventID 事件id
	 */
	self.sendPostRequest = function(url,keys,values,timeout,callFun,eventID)
	{
        OGWorld.OGCallBack.addEventFun(eventID,callFun);
		
		OGWorld.getandroidInterface().PostHttpRequest(url,keys,values,timeout,eventID);
	}
	/**
	 * @param {Object} url  请求的连接
	 * @param {Object} timeout  请求的超时
	 * @param {Object} callFun 请求的回调的方法
	 * @param {Object} eventID 请求的事件id
	 */
	self.sendGetRequest = function(url,timeout,callFun,eventID)
	{
        OGWorld.OGCallBack.addEventFun(eventID,callFun);
		OGWorld.getandroidInterface().GetHttpRequest(url,timeout,eventID);
	}
}
/**
 * 获取http实例
 */
OGWorld.getOGhttp = function()
{
	var j_http = null;
	if(j_http == null)
	{
		j_http = new OGWorld.OGhttp();
	}
	return j_http;
}
	/**
	 * @param {Object} result 返回结果
	 * @param {Object} msg  返回信息  以json格式为主
	 * @param {Object} eventID 事件ID
	 */
function onOGhttpResult(result,msg,eventID)
{
         OGWorld.OGCallBack[eventID](result,msg,eventID);
		 OGWorld.OGCallBack.removeFun(eventID);
}

